package de.ozgcloud.operator;

import org.apache.commons.lang3.RandomStringUtils;

import com.thedeanda.lorem.LoremIpsum;

public class PutUserRequestDataTestFactory {
	
	public static final String USERNAME = LoremIpsum.getInstance().getFirstName();
	public static final String ROLES = LoremIpsum.getInstance().getWords(1);
	public static final String PASSWORD = RandomStringUtils.randomAlphanumeric(6);

	public static PutUserRequestData  create() {
		return createBuilder().build();
	}
	
	public static PutUserRequestData.PutUserRequestDataBuilder createBuilder(){
		return PutUserRequestData.builder()
				.username(USERNAME)
				.roles(ROLES)
				.password(PASSWORD);
	}
}